
Infrastructure - Task #1031

Story # 912 (Closed): Fix known TODOs in the metacat code base

a /meta call on private data returns a service failure, instead of file-not-found

2010-10-29 09:01 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Chad Berkley % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2010.46   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2010-10-29 09:09 - Rob Nahf

metadata inserted into metacat using mn.create(), which id resolve:testID:876545678

by D1ClientCNodeTest.java using the kepler test user.

cn/resolve forwards the error produced by cn/meta, a (500) service error:

with description:

Failed to deserialize and insert SystemMetadata: Error creating parser

to test, try:

http://cn-dev.dataone.org/cn/resolve/resolve:testID:876545678

http://cn-dev.dataone.org/cn/meta/resolve:testID:876545678

#2 - 2010-10-29 09:27 - Rob Nahf

- Parent task set to #912

#3 - 2010-11-15 19:56 - Chad Berkley

- Status changed from New to Closed

All create tests pass.  I don't see any problems with this code.  Perhaps it's a permissions problem?
